This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
Update version to 0.9916
[perl5.git] / cpan / version / t / 03require.t
1 #! /usr/local/perl -w
2 # Before `make install' is performed this script should be runnable with
3 # `make test'. After `make install' it should work as `perl test.pl'
4
5 #########################
6
7 use Test::More qw/no_plan/;
8 use File::Spec;
9
10 BEGIN {
11     my $coretests = File::Spec->catpath(
12         (File::Spec->splitpath($0))[0,1], 'coretests.pm'
13     );
14     require $coretests;
15 }
16
17 # Don't want to use, because we need to make sure that the import doesn't
18 # fire just yet (some code does this to avoid importing qv() and delare()).
19 require_ok("version");
20 is $version::VERSION, 0.9916, "Make sure we have the correct class";
21 ok(!"main"->can("qv"), "We don't have the imported qv()");
22 ok(!"main"->can("declare"), "We don't have the imported declare()");
23
24 BaseTests("version","new",undef);
25 BaseTests("version","parse",undef);